Crystal Space: iSndSysSourceSoftware3D Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysSourceSoftware3D Struct Reference
[Sound system]

`#include <isndsys/ss_source.h>`

Inheritance diagram for iSndSysSourceSoftware3D:

[legend]
List of all members.

## Public Member Functions
virtual csVector3 | GetDirection ()=0
| get position of this source
virtual float | GetDirectionalRadiation ()=0
| Retrieves the current directional radiation.
virtual float | GetMaximumDistance ()=0
| Retrieve the maximum distance for which a sound can be heard.
virtual float | GetMinimumDistance ()=0
| Retrieve the maximum distance for which a sound is heard at full volume.
virtual csVector3 | GetPosition ()=0
| get position of this source
| SCF_INTERFACE (iSndSysSourceSoftware3D, 2, 0, 0)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.
virtual void | SetDirection (csVector3 dir)=0
| set position of this source
virtual void | SetDirectionalRadiation (float rad)=0
| The directional radiation applies to sound that are oriented in a particular direction.
virtual void | SetMaximumDistance (float distance)=0
| Set the greatest distance from a sound at which the sound can be heard.
virtual void | SetMinimumDistance (float distance)=0
| Set the greatest distance from a sound at which the sound plays at full amplitude.
virtual void | SetPosition (csVector3 pos)=0
| set position of this source

## Detailed Description

Todo:
  Document me!

Definition at line 108 of file ss_source.h.

## Member Function Documentation

virtual csVector3 iSndSysSourceSoftware3D::GetDirection | ( |  | ) | `[pure virtual]`

get position of this source

virtual float iSndSysSourceSoftware3D::GetDirectionalRadiation | ( |  | ) | `[pure virtual]`

Retrieves the current directional radiation.

virtual float iSndSysSourceSoftware3D::GetMaximumDistance | ( |  | ) | `[pure virtual]`

Retrieve the maximum distance for which a sound can be heard.

See SetMaximumDistance and SetMinimumDistance for distance notes.

virtual float iSndSysSourceSoftware3D::GetMinimumDistance | ( |  | ) | `[pure virtual]`

Retrieve the maximum distance for which a sound is heard at full volume.

See SetMaximumDistance and SetMinimumDistance for distance notes.

virtual csVector3 iSndSysSourceSoftware3D::GetPosition | ( |  | ) | `[pure virtual]`

get position of this source

iSndSysSourceSoftware3D::SCF_INTERFACE | ( | iSndSysSourceSoftware3D | ,
|  | 2 | ,
|  | 0 | ,
|  | 0 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

virtual void iSndSysSourceSoftware3D::SetDirection | ( | csVector3 | dir | ) | `[pure virtual]`

set position of this source

virtual void iSndSysSourceSoftware3D::SetDirectionalRadiation | ( | float | rad | ) | `[pure virtual]`

The directional radiation applies to sound that are oriented in a particular direction.

This value is expressed in radians and describes the half-angle of a cone spreading from the position of the source and opening in the direction of the source. Set this value to 0.0f for an omni-directional sound.

virtual void iSndSysSourceSoftware3D::SetMaximumDistance | ( | float | distance | ) | `[pure virtual]`

Set the greatest distance from a sound at which the sound can be heard.

If the distance to a listener is above this threshold, it will not be mixed into the output buffer at all. This saves a tiny bit of processing.

virtual void iSndSysSourceSoftware3D::SetMinimumDistance | ( | float | distance | ) | `[pure virtual]`

Set the greatest distance from a sound at which the sound plays at full amplitude.

When a listener is closer than this distance, the amplitude is the volume of the sound. When a listener is further than this distance, the amplitude follows the formula V = (volume / ((distance/minimum_distance) ^ rolloff_factor))

virtual void iSndSysSourceSoftware3D::SetPosition | ( | csVector3 | pos | ) | `[pure virtual]`

set position of this source

The documentation for this struct was generated from the following file:

- isndsys/ss_source.h